(define-module (my-channel odin4-downloader-menu)
  #:use-module (guix packages)
  #:use-module (guix git-download)
  #:use-module (guix build-system gnu))

(define-public odin4-downloader-menu
  (package
    (name "odin4-downloader-menu")
    (version "0.1.0") ;; Adjust this to match the actual version
    (source (origin
              (method git-fetch)
              (uri (git-reference
                    (url "https://github.com/afaneh92/Odin4-downloader-menu")
                    (commit "master"))) ;; Replace with specific commit if needed
              (file-name (git-file-name name version))
              (sha256 (base32 "")))) ;; Replace with actual hash
    (build-system gnu-build-system)
    (arguments
     `(#:tests? #f ;; No tests in the repository
       #:phases
       (modify-phases %standard-phases
         (delete 'configure) ;; No configure script in the repository
         (replace 'install
           (lambda* (#:key outputs #:allow-other-keys)
             (let ((out (assoc-ref outputs "out")))
               (install-file "menu" (string-append out "/bin/menu"))
               #t))))))
    (home-page "https://github.com/afaneh92/Odin4-downloader-menu")
    (synopsis "Odin4 downloader menu")
    (description "This package provides a menu for Odin4 downloader.")
    (license license:expat))) ;; Replace with actual license